Bug 243231 - TCP/ECN - RFC3168 specifies retransmissions not to be marked ECT in the IP header
Summary: TCP/ECN - RFC3168 specifies retransmissions not to be marked ECT in the IP he...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: Michael Tuexen
URL: https://reviews.freebsd.org/D23118
Keywords: needs-qa, standards
Depends on:
Blocks:
 
Reported: 2020-01-09 22:08 UTC by Richard Scheffenegger
Modified: 2020-01-25 15:22 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Scheffenegger freebsd_committer 2020-01-09 22:08:05 UTC
While investigating the interaction between ECN and RTO, I noticed that FBSD sends out retransmissions on ECN-enabled flows with the ECT0 codepoint in the
IP header - which is only permissible with ECN++ (work in progress as IETF draft).

This is not a critical deviation from the specs, only a lack of conformance.
Comment 1 Richard Scheffenegger freebsd_committer 2020-01-20 23:07:53 UTC
https://reviews.freebsd.org/D23118 

Please review and comment
Comment 2 Michael Tuexen freebsd_committer 2020-01-25 15:22:10 UTC
Fixed in base r357115.